MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures | Public Types | Public Member Functions
CancellableList< T, CT > Class Template Reference

`#include <Cancellable.hxx>`

## Public Types
typedef CT::reference_type | reference_type
typedef CT::const_reference_type | const_reference_type

## Public Member Functions
gcc_pure bool | IsEmpty () const
gcc_pure bool | Contains (const_reference_type p) const
template<typename... Args>
CT & | Add (reference_type p, Args &&...args)
void | Remove (CT &ct)
void | Cancel (reference_type p)
CT & | Get (reference_type p)
template<typename F >
void | ForEach (F &&f)

## Detailed Description

### template<typename T, typename CT = CancellablePointer<T>>
class CancellableList< T, CT >

Definition at line 69 of file Cancellable.hxx.

## Member Typedef Documentation

template<typename T, typename CT = CancellablePointer<T>>

typedef CT::const_reference_type CancellableList< T, CT >::const_reference_type

Definition at line 72 of file Cancellable.hxx.

template<typename T, typename CT = CancellablePointer<T>>

typedef CT::reference_type CancellableList< T, CT >::reference_type

Definition at line 71 of file Cancellable.hxx.

## Member Function Documentation

template<typename T, typename CT = CancellablePointer<T>>
template<typename... Args>

CT& CancellableList< T, CT >::Add | ( | reference_type | p,
|  | Args &&... | args
| ) |  |
| inline

Definition at line 131 of file Cancellable.hxx.

template<typename T, typename CT = CancellablePointer<T>>

void CancellableList< T, CT >::Cancel | ( | reference_type | p | ) |
| inline

Definition at line 147 of file Cancellable.hxx.

template<typename T, typename CT = CancellablePointer<T>>

gcc_pure bool CancellableList< T, CT >::Contains | ( | const_reference_type | p | ) | const
| inline

Definition at line 126 of file Cancellable.hxx.

template<typename T, typename CT = CancellablePointer<T>>
template<typename F >

void CancellableList< T, CT >::ForEach | ( | F && | f | ) |
| inline

Definition at line 162 of file Cancellable.hxx.

template<typename T, typename CT = CancellablePointer<T>>

CT& CancellableList< T, CT >::Get | ( | reference_type | p | ) |
| inline

Definition at line 154 of file Cancellable.hxx.

template<typename T, typename CT = CancellablePointer<T>>

gcc_pure bool CancellableList< T, CT >::IsEmpty | ( |  | ) | const
| inline

Definition at line 116 of file Cancellable.hxx.

template<typename T, typename CT = CancellablePointer<T>>

void CancellableList< T, CT >::Remove | ( | CT & | ct | ) |
| inline

Definition at line 139 of file Cancellable.hxx.

The documentation for this class was generated from the following file:

- lib/nfs/Cancellable.hxx